texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

texinfo/texi2html Makefile.am Makefile.in addfo...


From: Karl Berry
Subject: texinfo/texi2html Makefile.am Makefile.in addfo...
Date: Fri, 25 Jun 2010 17:21:42 +0000

CVSROOT:        /sources/texinfo
Module name:    texinfo
Changes by:     Karl Berry <karl>       10/06/25 17:21:42

Modified files:
        texi2html      : Makefile.am Makefile.in addformats.sh 
                         buildt2h.sh ChangeLog 

Log message:
        copyright notices, generation identification

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/Makefile.am?cvsroot=texinfo&r1=1.67&r2=1.68
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/Makefile.in?cvsroot=texinfo&r1=1.97&r2=1.98
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/addformats.sh?cvsroot=texinfo&r1=1.2&r2=1.3
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/buildt2h.sh?cvsroot=texinfo&r1=1.4&r2=1.5
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/ChangeLog?cvsroot=texinfo&r1=1.504&r2=1.505

Patches:
Index: Makefile.am
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/Makefile.am,v
retrieving revision 1.67
retrieving revision 1.68
diff -u -b -r1.67 -r1.68
--- Makefile.am 16 Mar 2010 21:42:15 -0000      1.67
+++ Makefile.am 25 Jun 2010 17:21:35 -0000      1.68
@@ -1,4 +1,16 @@
-## Process this file with automake to produce Makefile.in
+# Makefile.am for texi2html.
+# Process this file with automake to produce Makefile.in
+#
+# Copyright 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008,
+# 2009, 2010 Free Software Foundation, Inc.
+#
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
 # don't install gmo files from texi2hmtl directories if in texinfo, 
 # they are also in ../po and ../po_document
@@ -168,10 +180,10 @@
        images/xy_up_gr.png
 
 texi2html.temp: $(texi2html_sources)
-       $(SHELL) $(srcdir)/buildt2h.sh $@ $^
+       $(SHELL) $(srcdir)/buildt2h.sh $@ $(texi2html_sources)
 
 texi2html: texi2html.temp $(texi2html_formats)
-       $(SHELL) $(srcdir)/addformats.sh $@ $^
+       $(SHELL) $(srcdir)/addformats.sh $@ $(texi2html_formats)
        chmod a+x $@
 
 texi2html.spec: texi2html.spec.in $(top_builddir)/configure

Index: Makefile.in
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/Makefile.in,v
retrieving revision 1.97
retrieving revision 1.98
diff -u -b -r1.97 -r1.98
--- Makefile.in 25 Jun 2010 13:17:39 -0000      1.97
+++ Makefile.in 25 Jun 2010 17:21:39 -0000      1.98
@@ -15,6 +15,20 @@
 
 @SET_MAKE@
 
+# Makefile.am for texi2html.
+# Process this file with automake to produce Makefile.in
+#
+# Copyright 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008,
+# 2009, 2010 Free Software Foundation, Inc.
+#
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
 
 VPATH = @srcdir@
 pkgdatadir = $(datadir)/@PACKAGE@
@@ -1345,10 +1359,10 @@
 
 
 texi2html.temp: $(texi2html_sources)
-       $(SHELL) $(srcdir)/buildt2h.sh $@ $^
+       $(SHELL) $(srcdir)/buildt2h.sh $@ $(texi2html_sources)
 
 texi2html: texi2html.temp $(texi2html_formats)
-       $(SHELL) $(srcdir)/addformats.sh $@ $^
+       $(SHELL) $(srcdir)/addformats.sh $@ $(texi2html_formats)
        chmod a+x $@
 
 texi2html.spec: texi2html.spec.in $(top_builddir)/configure

Index: addformats.sh
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/addformats.sh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -b -r1.2 -r1.3
--- addformats.sh       13 Jul 2009 22:34:27 -0000      1.2
+++ addformats.sh       25 Jun 2010 17:21:39 -0000      1.3
@@ -1,14 +1,35 @@
 #! /bin/sh
+# Build texi2html.pl from texi2html.temp and $(texi2html_formats).
+# 
+# Copyright 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008,
+# 2009, 2010 Free Software Foundation, Inc.
+#
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
-if [ -z $7 ]; then
+if test -z "$7"; then
+  echo "$0: expected seven arguments, see Makefile.am." >&2
        exit 1
 fi
 
-echo "Adding $3 $4 in $1"
+echo "generate $1 from $2 and $3 $4 $5 $6 $7" 
 
-sed -e "/@INIT_HTML@/r $3" \
+sed -e '4a\
+'"# $1: generated by `basename $0` from $2 and $3 $4 $5 $6 $7" \
+    -e "/@INIT_HTML@/r $3" \
            -e "/@INIT_INFO@/r $4" \
            -e "/@INIT_DOCBOOK@/r $5" \
            -e "/@INIT_XML@/r $6" \
            -e "/@INIT_PLAINTEXT@/r $7" \
            $2 >$1
+
+if test $? -ne 0; then
+  echo "$0: failed to generate $1, moving to -bad, goodbye." >&2
+  mv $1 $1-bad
+  exit 1
+fi

Index: buildt2h.sh
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/buildt2h.sh,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -b -r1.4 -r1.5
--- buildt2h.sh 2 Aug 2009 14:12:10 -0000       1.4
+++ buildt2h.sh 25 Jun 2010 17:21:39 -0000      1.5
@@ -1,12 +1,27 @@
 #! /bin/sh
+# Build texi2html.temp from $(texi2html_sources).
+# 
+# Copyright 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008,
+# 2009, 2010 Free Software Foundation, Inc.
+#
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
-if [ -z $9 ]; then
+if test -z "$9"; then
+  echo "$0: expected nine arguments, see Makefile.am." >&2
        exit 1
 fi
 
-echo "regenerating $1 from $3 $4 $5 $6 $2 $7 $8 $9" 
+echo "regenerating $1 from $2 and $3 $4 $5 $6 $7 $8 $9" 
 
-sed -e "/@MYSIMPLE@/r $3" \
+sed -e '4a\
+'"# $1: generated by `basename $0` from $2 and $3 $4 $5 $6 $7 $8 $9" \
+    -e "/@MYSIMPLE@/r $3" \
            -e "/@T2H_I18N@/r $4" \
            -e "/@INIT@/r $5" \
            -e "/@T2H_TRANSLATIONS_FILE@/r $6" \
@@ -14,3 +29,9 @@
            -e "/@T2H_L2H@/r $8" \
            -e "/@T2H_DOCUMENT_LANGUAGES@/r $9" \
                        $2 >$1
+
+if test $? -ne 0; then
+  echo "$0: failed to generate $1, moving to -bad, goodbye." >&2
+  mv $1 $1-bad
+  exit 1
+fi

Index: ChangeLog
===================================================================
RCS file: /sources/texinfo/texinfo/texi2html/ChangeLog,v
retrieving revision 1.504
retrieving revision 1.505
diff -u -b -r1.504 -r1.505
--- ChangeLog   24 Jun 2010 13:19:33 -0000      1.504
+++ ChangeLog   25 Jun 2010 17:21:41 -0000      1.505
@@ -1,3 +1,10 @@
+2010-06-25  Karl Berry  <address@hidden>
+
+       * addformats.sh,
+        * buildt2h.sh: add copyright notice,
+        and insert generation identification in output.
+       * Makefile.am: add copyright notice.
+
 2010-06-23  Patrice Dumas  <address@hidden>
 
        * texi2html.pl: add variable substitution in htmlxref.cnf. Karl



reply via email to

[Prev in Thread] Current Thread [Next in Thread]